/* strucTest.h */
#ifndef STRUCTEST_H
 #define STRUCTEST_H

 #pragma warning(disable : 4996) // ("veraltet" nicht mehr melden!)

 #include <conio.h>  // _getch()
 #include <stdio.h>  // printf()
 #include <stdlib.h> // calloc()
 #include <string.h> // strcpy()
 #include <time.h>   // time()

 //#define DEBUG
 //#define MORE_STRUCT1
 //#define MORE_STRUCT2
 //#define MORE_STRUCT3
 //#define MORE_STRUCT4

 /*Benoetigte Konstanten:*/
 #define ESC    27
 #define LANG   20
 #define OK      1
 #define PROF    3
 #define STUD    5
 #define VORL    5

 /*Typische Begrenzungszeichen in Pfad-Angaben:*/
 #define SLSH   47 // ASCII ("/")
 #define BSLS   92 // ASCII ("\")

 /*Zyklisches Zaehlen zwischen willkuerlichen Grenzen A und Z (A<Z, Nr=1,...):*/
 #define CYCLIC(Nr,A,Z) (((Nr)+(Z)-(A)) % ((Z)-(A)+1) + (A)) //CYCLIC(24,1,12)=12, CYCLIC(0,1,2)=2

 /*Daten-Strukturen und -Typen:*/
 typedef struct Fach
 { char FachName[LANG]; //Studiengang, ...
   int  FachSWS;        //Praktikum, CreditPoints, ...
 } Vorlesg;
  
 typedef struct 
 { char     Name[LANG]; //Vorname, Familienname, Geburtsname, ...
   int      nVorl;      //PersoNr., Dienstalter, Geburtsjahr, ...
   Vorlesg *Vorl;
 } Prof;

 typedef struct
 { struct Fach;
   float  FachNote;
 } Leistg;

 typedef struct 
 { char     Name[LANG]; //Vorname, Familienname, Heimat-Adresse, ...
   int     Matrikel;    //Studienbeginn, ...
   int     nLeist;
   Leistg *Leist;
 } Stud;

 #endif//STRUCTEST_H

